AbstractAccessLogValve.HostElement (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: HostElement

# Class AbstractAccessLogValve.HostElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.HostElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement, AbstractAccessLogValve.CachedElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.HostElement extends Object implements AbstractAccessLogValve.AccessLogElement, AbstractAccessLogValve.CachedElement
Write remote host name - %h.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HostElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Adds the host element to the buffer.
  `void`
  `cache(Request request)`
  Cache the value for the specified request.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### HostElement

    protected HostElement()

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Adds the host element to the buffer.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request

  - ### cache

    public void cache(Request request)
    Description copied from interface: `AbstractAccessLogValve.CachedElement`
    Cache the value for the specified request.
    Specified by:
      `cache` in interface `AbstractAccessLogValve.CachedElement`
    Parameters:
      `request` - The request to cache the value for